En OS X 10.10 (Yosemite Beta), ¿cómo pruebo usando el simulador iOS 6.1?

Estoy intentando apuntar iOS 6.1 usando Xcode 5 en Yosemite Beta. Sin embargo, el simulador ni siquiera ejecutará la aplicación ni mostrará los íconos pnetworkingeterminados (todo lo que obtengo es una pantalla en negro con forma de iOS y los botones Inicio o Bloquear no funcionan). El simulador 7.1 funciona bien.

También me he dado count de que Xcode 6 Beta ni siquiera ofrece versiones de simulador anteriores a 7.1.

¿Esto indica que, incluso en la final de OS X 10.10, será imposible simular las versiones de iOS antes de 7.x? Esto me parece muy irrazonable.

¿Es este comportamiento esperado?

EDIT: Así que ya había intentado volver a instalar y volver a download el simulador 6.1 antes de publicar esta pregunta, lo que no hizo nada para cambiar la situación. También revisé otras preguntas similares que trataron sobre la actualización a Mavericks (OS X 10.9), pero las versiones compatibles parecen extrañamente elegidas.

Enviaré la pregunta a Apple e informaré mis hallazgos, a less que alguien más responda quién tiene más información concreta sobre este caso específico.

Por lo que he experimentado, el simulador de iPhone siempre tiene este tipo de problema en cada actualización de OS X, ya que el núcleo del simulador de iPhone está utilizando el núcleo de OS X, y solo admite las últimas dos versiones. Es decir,

10.10 -> iOS 7, iOS 8.

10.9 -> iOS 6, iOS 7.

Mientras tanto, Xcode obviamente solo es compatible con download el último simulador de dos versiones, lo que significa que puede get el simulador de iOS 6 en Xcode 5, pero no en Xcode 6.

Sin embargo, puede get el antiguo simulador copyndo / pegando los SDK anteriores en la carpeta correcta, pero esto sigue la relación OSX-iOS. Es decir, si tiene el SDK del simulador de iOS 6, puede ejecutar el simulador de iOS 6 en OSX 10.9, pero no OSX 10.10.

Los times de ejecución de iOS Simualtor anteriores a iOS 7.0 no funcionarán con Xcode 6. Los times de ejecución de iOS Simulator anteriores a iOS 7.1 no funcionarán en OS X Yosemite.

No se pueden hacer versiones anteriores del time de ejecución de iOS Simulator para que funcionen con Xcode 6 ni en OS X Yosemite sin cambios significativos en esos times de ejecución henetworkingados.

Aún puedes crear tus aplicaciones para admitir versiones anteriores de iOS configurando un destino de implementación anterior, pero no podrás probarlas en un dispositivo simulado que se ejecute en OS X Yosemite. Puede probar en un dispositivo físico con iOS 6.1 o puede ejecutar Xcode 5.1.1 en OS X Mavericks para probar su proyecto en el simulador anterior.